/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/*          EXIFPROBE - TIFF/JPEG/EXIF image file probe               */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/* Copyright (C) 2002 by Duane H. Hesser. All rights reserved.        */
/*                                                                    */
/* See the file LICENSE.EXIFPROBE for terms of use.                   */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/* @(#) $Id: maker.h,v 1.7 2003/05/06 20:41:35 alex Exp $" */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

/* General definitions for makernotes                                 */

#ifndef MAKER_INCLUDED
#define MAKER_INCLUDED

#define UNKNOWN_SCHEME                  0x0
#define PLAIN_IFD_SCHEME                0x1
#define HAS_ID_SCHEME                   0x2
#define HAS_ID_PLUS_TIFFHDR_SCHEME      0x4
#define FUJI_SCHEME                     0x8

/* Magic numbers for maker                                            */
#define GENERIC             0
#define MAKER_AGFA          1
#define MAKER_CANON         2
#define MAKER_CASIO         3
#define MAKER_EPSON         4
#define MAKER_KODAK         5
#define MAKER_FUJIFILM      6
#define MAKER_HP            7
#define MAKER_MINOLTA       8
#define MAKER_NIKON         9
#define MAKER_OLYMPUS       10
#define MAKER_SONY          11
#define MAKER_SANYO         12
#define MAKER_LEICA         13
#define MAKER_ASAHI         14
#define MAKER_KYOCERA       15
#define MAKER_TRAVELER      16
#define MAKER_PANASONIC     17
#define MAKER_RICOH         18
#define MAKER_KONICA        19
#define MAKER_TOSHIBA       20

/* Nikon Model magic                                                  */
#define NIKON_700           1
#define NIKON_800           2
#define NIKON_900           3
#define NIKON_910           4
#define NIKON_950           5
#define NIKON_990           6
#define NIKON_995           7
#define NIKON_D1            8
#define NIKON_D100          9
#define NIKON_775           10
#define NIKON_885           11
#define NIKON_5000          12
#define NIKON_5700          13

/* Epson model magic                                                  */
#define EPSON_3000Z         1
#define EPSON_3100Z         2

/* Canon model magic                                                  */
#define CANON_IXUS          1
#define CANON_EOSD30        2

/* Casio model magic                                                  */
#define CASIO_QV2000UX      1
#define CASIO_QV3000EX      2
#define CASIO_QV8000SX      3

/* Fujifilm model magic                                               */
#define FUJI_F601           1
#define FUJI_DX10           2   /* No makernote                       */
#define FUJI_40i            3
#define FUJI_MX1700         4   /* No makernote                       */
#define FUJI_4900           5

/* Leica model magic                                                  */
#define LEICA_DIGILUX43     1   /* Identical to FUJI                  */

/* Minolta model magic                                                */
#define MINOLTA_DIMAGE7     1
#define MINOLTA_DIMAGEF100  2
#define MINOLTA_DIMAGES404  3
#define MINOLTA_DIMAGE7Hi   4
#define MINOLTA_DIMAGE7i    5
#define MINOLTA_DIMAGEF300  6
#define MINOLTA_DIMAGEEX    7
#define MINOLTA_DIMAGEX     8

/* Agfa model magic                                                   */
#define AGFA_SR841          1

/* Olympus model magic                                                */
#define OLYMPUS_700UZ       1
#define OLYMPUS_960Z        2
#define OLYMPUS_2500L       3
#define OLYMPUS_3030Z       4
#define OLYMPUS_3040Z       5

/* Sanyo model magic                                                  */
#define SANYO_SR6           1
#define SANYO_SX113         2

/* Asahi model magic                                                  */
#define ASAHI_PENTAX330     1
#define ASAHI_PENTAX430     2
#define ASAHI_PENTAX430RS   3
#endif
